<?php
/**
 * @package      ITPrism Libraries
 * @subpackage   ITPrism Files
 * @author       Todor Iliev
 * @copyright    Copyright (C) 2010 Todor Iliev <todor@itprism.com>. All rights reserved.
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ITPrism Library is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/** 
 * ITP Files
 * 
 * @author Todor Iliev
 * 
 */
class itpfiles {
	
	public function __construct() {
	
	}
	
    /**
     * Remove a file 
     *
     * @param string $fileName
     * @param string $fileDirectory
     */
    public static function delete($fileName, $fileDirectory = "") {
        
    	$fileName  =   basename($fileName);
    	
        if (!empty($fileName)) {
            
        	$file = "";
        	
            jimport('joomla.filesystem.path');
            
            if (!empty($fileDirectory)) {
	            jimport('joomla.filesystem.folder');
	                
	            $fileDirectory = JPath::clean($fileDirectory);
	            $fileDirectory = JFolder::makeSafe($fileDirectory);
	            
	            $file =   $fileDirectory . DS;
            }
            
            jimport('joomla.filesystem.file');
            
            $file .= JFile::makeSafe($fileName);
            
            if (JFile::exists($file)) {
               JFile::delete($file);
            }
            
        }
        
    }
	
	public function __destruct() {
	
	}
}