<?php
/**
 * @package      ITPrism Libraries
 * @subpackage   ITPrism Exceptions
 * @author       Todor Iliev
 * @copyright    Copyright (C) 2010 Todor Iliev <todor@itprism.com>. All rights reserved.
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ITPrism Library is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/** 
 * @author Todor Iliev
 * 
 */
class ItpException extends Exception {
  
  /**
   * 
   * @param  message[optional]
   * @param  code[optional]
   */
    public function __construct( $message, $code ) {
    	
	   parent::__construct ( $message, $code );
	   
    }

    public function log() {
    	
       $message = "\nFILE : " . $this->getFile()  . "\n";
       $message .= "LINE : " . $this->getLine() . "\n";
       $message .= "CODE : " . $this->getCode() . "\n";
       $message .= "MESSAGE : " . $this->getMessage() . "\n";
       
    	// get an instance of JLog for myerrors log file
        $log = JLog::getInstance();
        // create entry array
        $entry = array(
            'LEVEL' => '1',
            'STATUS' => JText::_('ITP_ERROR_SYSTEM'),
            'COMMENT' => $message
        );
        // add entry to the log
        $log->addEntry($entry);
    	
    }
    
	/**
	 * 
	 */
	public function __destruct() {
	
	}
}