<?php
/**
 * @package      ITPrism Libraries
 * @subpackage   ITPrism Initializators
 * @author       Todor Iliev
 * @copyright    Copyright (C) 2010 Todor Iliev <todor@itprism.com>. All rights reserved.
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * ITPrism Library is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Register ITPrism library
JLoader::register("ItpResponse",JPATH_COMPONENT_ADMINISTRATOR . DS . "libraries" . DS . "itp". DS . "itpresponse.php");
JLoader::register("ItpSecurity",JPATH_COMPONENT_ADMINISTRATOR . DS . "libraries" . DS . "itp". DS . "itpsecurity.php");
JLoader::register("ItpFiles",JPATH_COMPONENT_ADMINISTRATOR . DS . "libraries" . DS . "itp". DS . "itpfiles.php");
JLoader::register("ItpException",JPATH_COMPONENT_ADMINISTRATOR . DS . "libraries" . DS . "itp". DS . "exceptions" . DS . "itpexception.php");
JLoader::register("ItpUserException",JPATH_COMPONENT_ADMINISTRATOR . DS . "libraries" . DS . "itp". DS . "exceptions" . DS . "itpuserexception.php");

// Register Component libraries
JLoader::register("ItpMetaVersion",JPATH_COMPONENT_ADMINISTRATOR . DS . "libraries" . DS . "itpmeta". DS . "itpmetaversion.php");

// Register Component helpers
JLoader::register("ItpMetaHelper",JPATH_COMPONENT_ADMINISTRATOR . DS . "helpers" . DS . "itpmetahelper.php");