<?php defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
<?php 
	// Set toolbar items for this page
	JToolBarHelper::title( $this->title, 'itp-settings' );
	JToolBarHelper::save();
	JToolBarHelper::apply();
	JToolBarHelper::cancel();
	
?>
<div id="itpm-tags-form">
    <form action="index.php" method="post" enctype="multipart/form-data" name="adminForm">
      <table width="800" border="0" cellspacing="2" cellpadding="2">
        <tr>
          <td width="60" align="right"><label for="published"><?php echo JText::_("Published"); ?>?</label></td>
          <td width="300">
    	 <input type="checkbox" name="published" id="published" value="1" <?php echo ( isset( $this->item ) AND $this->item->published ) ? "checked='checked'" : '' ; ?>" /></td>
        </tr>
        <tr>
            <td colspan="2">
             <div id="itpm-url-info" style="display:none;cursor:pointer;text-align:center; font-weight: bold;" onclick="document.itpmMeta.hide('itpm-url-info');">
                <p>/component/content/article/1-latest-news/45-joomla-community-portals</p>
                <p>OR</p>
                <p>/index.php?option=com_content&amp;view=article&amp;id=19&amp;Itemid=27</p>
              </div>
            </td>
        </tr>
        <tr>
          <td width="60" align="right">
          <img style="cursor:pointer;" onclick="document.itpmMeta.show('itpm-url-info');" src="<?php echo (JURI::base() . "components/com_itpmeta/assets/images/icon_info.gif"); ?>" class="hasTip" title="<?php echo JText::_("ITP_URL_INFO");?>" /> 
          <label for="title"><?php echo JText::_("URL"); ?></label><span style="color:red;">*</span>:</td>
          <td width="300"><input name="url" type="text" id="itpm-url" value="<?php echo ( isset( $this->item ) ) ? $this->item->url : "";?>" /></td>
        </tr>
        <tr>
          <td width="60"  align="right"><label><?php echo JText::_("ITP_CONTENT"); ?></label>:</td>
          <td width="300"><textarea name="content" id="itpm-content"></textarea></td>
        </tr>
      </table>
    <p>
      <input type="hidden" name="option" value="com_itpmeta" />
      <input type="hidden" name="controller" value="urls" />
      <input type="hidden" name="task" value="" />
      <input type="hidden" name="view" value="urls" />
      <input type="hidden" name="id" value="<?php echo ( isset( $this->item ) ) ? $this->item->id :0 ; ?>" />
      <?php echo JHTML::_( 'form.token' ); ?>
    </p>
    <?php if(!empty($this->tags)){?>
    <div id="itpm-tags-box">
        <h1>Tags</h1>
            <div id="itmp-tags-list">
                    <?php foreach($this->tags as $tag){?>
                <div class="itpm-tag-item" id="itpm-tag-item_<?php echo $tag->id; ?>">
                    <a href="index.php?option=com_itpmeta&amp;controller=urls&amp;task=loadeditform&amp;format=raw&amp;id=<?php echo $tag->id;?>" 
                        rel="{handler: 'iframe'}" 
                        onclick="document.itpMetaTagsId = <?php echo $tag->id; ?>" 
                        id="itpmtag_<?php echo $tag->id; ?>" 
                        class="itpm-url-tag modal" ><?php echo htmlspecialchars(JString::substr($tag->content,0,128));?>...</a>
                    <div class="itpm-tag-actions">
                        <img 
                        src="<?php echo JURI::base();?>components/com_itpmeta/assets/images/remove.png" 
                        alt="<?php JText::_("ITP_DELETE");?>"
                        onclick="document.itpmMeta.removeTag(<?php echo $tag->id; ?>)" 
                        />
                    </div>
                </div>
                <div class="clear"></div>
                    <?php }?>
            </div>
    </div>
    <?php }?>
    </form>
</div>
<div id="itmp-tags">
<?php
$pane =& JPane::getInstance('Sliders');
echo $pane->startPane('ITPMetaPane');

{
?>

<?php echo $pane->startPanel('Open Graph Basic', 'opengraph_basic'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogtitle');">Title</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogdesc');">Description</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogimage');">Image</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogaudio');">Audio</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogvideo');">Video</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogtype');">Type</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Location', 'opengraph_location'); ?>

<div class="itp-tag-btn" onclick="document.itpmMeta.load('oglatitude');">Latitude</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('oglongitude');">Longitude</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogstreetaddress');">Street Address</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('oglocality');">Locality</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogregion');">Region</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogpostal-code');">Postal code</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogcountry-name');">Country name</div>

<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Contact Information', 'opengraph_contact_info'); ?>

<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogemail');">E-Mail</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogphone_number');">Phone Number</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogfax_number');">Fax Number</div>

<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Audio', 'opengraph_audio'); ?>

<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogaudio');">Audio</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogaudio_title');">Title</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogaudio_artist');">Artist</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogaudio_album');">Album</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogaudio_type');">Type</div>

<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Video', 'opengraph_video'); ?>

<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogvideo');">Video</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogimage');">Image</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogvideo_height');">Height</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogvideo_width');">Width</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogvideo_type');">Type</div>

<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - Websites', 'websites'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogwebsite');">Website</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogblog');">Blog</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogarticle');">Article</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - Activities', 'activities'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogactivity');">Activity</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogsport');">Sport</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - Business', 'business'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogbar');">Bar</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogcompany');">Company</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogcafe');">Cafe</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('oghotel');">Hotel</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogrestaurant');">Restaurant</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - Groups', 'groups'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogcause');">Cause</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogsports_league');">Sports League</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogsports_team');">Sports Team</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - Organizations', 'organizations'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogband');">Band</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('oggovernment');">Government</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ognon_profit');">Non Profit</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogschool');">School</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('oguniversity');">University</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - People', 'people'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogactor');">Actor</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogathlete');">Athlete</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogauthor');">Author</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogdirector');">Director</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogmusician');">Musician</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogpolitician');">Politician</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogpublic_figure');">Public Figure</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - Places', 'places'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogcity');">City</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogcountry');">Country</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('oglandmark');">Landmark</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogstate_province');">State Province</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Open Graph Types - Products and Entertainment', 'products_entertainment'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogalbum');">Album</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogbook');">Book</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogdrink');">Drink</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogfood');">Food</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('oggame');">Game</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogproduct');">Product</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogsong');">Song</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogmovie');">Movie</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogtv_show');">TV Show</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('Facebook', 'facebook'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('fbadmins');">Admins</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('fbappid');">App ID</div>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('ogsite_name');">Site Name</div>
<?php echo $pane->endPanel(); ?>

<?php echo $pane->startPanel('SEO', 'seo'); ?>
<div class="itp-tag-btn" onclick="document.itpmMeta.load('seo_canonical');">Canonical</div>
<?php echo $pane->endPanel(); ?>

<?php 
}
echo $pane->endPane();

?>
</div>